# TODO: use gtk4-update-icon-cache
Summary:	A weather application for GNOME
Summary(pl.UTF-8):	Aplikacja pogodowa dla GNOME
Name:		gnome-weather
Version:	48.0
Release:	1
License:	GPL v2+
Group:		X11/Applications
Source0:	https://download.gnome.org/sources/gnome-weather/48/%{name}-%{version}.tar.xz
# Source0-md5:	35858b4f07ede013a835033b0b258d19
URL:		https://apps.gnome.org/Weather/
BuildRequires:	appstream-glib
BuildRequires:	geoclue2-devel >= 2.3.1
BuildRequires:	gettext-tools
BuildRequires:	gjs-devel >= 1.71.0
BuildRequires:	glib2-devel >= 1:2.36.0
BuildRequires:	gobject-introspection-devel >= 1.36.0
BuildRequires:	gtk4-devel >= 4.5
BuildRequires:	libadwaita-devel >= 1.4
BuildRequires:	libgweather4-devel >= 4.0
BuildRequires:	meson >= 0.59.0
BuildRequires:	ninja >= 1.5
BuildRequires:	pkgconfig >= 1:0.22
BuildRequires:	rpmbuild(macros) >= 2.042
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires(post,postun):	glib2 >= 1:2.36.0
Requires(post,postun):	gtk-update-icon-cache
Requires:	geoclue2 >= 2.3.1
Requires:	gjs >= 1.71.0
Requires:	glib2 >= 1:2.36.0
Requires:	gobject-introspection >= 1.36.0
Requires:	gtk4 >= 4.5
Requires:	hicolor-icon-theme
Requires:	libadwaita >= 1.4
Requires:	libgweather4 >= 4.0
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
gnome-weather is a small application that allows you to monitor the
current weather conditions for your city, or anywhere in the world,
and to access updated forecasts provided by various Internet services.

%description -l pl.UTF-8
gnome-weather to mała aplikacja pozwalająca na śledzenie aktualnych
warunków pogodowych we własnym mieście lub dowolnym miejscu na świecie
oraz na dostęp do uaktualnianych prognoz dostarczanych przez różne
serwisy internetowe.

%prep
%setup -q

%build
%meson

%meson_build

%install
rm -rf $RPM_BUILD_ROOT

%meson_install

%find_lang org.gnome.Weather

%clean
rm -rf $RPM_BUILD_ROOT

%post
%glib_compile_schemas
%update_icon_cache hicolor

%postun
%glib_compile_schemas
%update_icon_cache hicolor

%files -f org.gnome.Weather.lang
%defattr(644,root,root,755)
%doc NEWS
%attr(755,root,root) %{_bindir}/gnome-weather
%{_datadir}/dbus-1/services/org.gnome.Weather.service
%{_datadir}/dbus-1/services/org.gnome.Weather.BackgroundService.service
%{_datadir}/glib-2.0/schemas/org.gnome.Weather.gschema.xml
%{_datadir}/gnome-shell/search-providers/org.gnome.Weather.search-provider.ini
%{_datadir}/metainfo/org.gnome.Weather.appdata.xml
%dir %{_datadir}/org.gnome.Weather
%attr(755,root,root) %{_datadir}/org.gnome.Weather/org.gnome.Weather
%attr(755,root,root) %{_datadir}/org.gnome.Weather/org.gnome.Weather.BackgroundService
%{_datadir}/org.gnome.Weather/org.gnome.Weather.*.gresource
%{_desktopdir}/org.gnome.Weather.desktop
%{_iconsdir}/hicolor/scalable/apps/org.gnome.Weather.svg
%{_iconsdir}/hicolor/scalable/status/checkmark-symbolic.svg
%{_iconsdir}/hicolor/scalable/status/temperature-symbolic.svg
%{_iconsdir}/hicolor/scalable/status/weather-*.svg
%{_iconsdir}/hicolor/symbolic/apps/org.gnome.Weather-symbolic.svg
%changelog
* Fri May 09 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/gnome-weather.git;a=log;h=master

* Wed Apr 30 2025 Jakub Bogusz <qboosh@pld-linux.org> ae51256
- updated to 48.0

* Fri Sep 27 2024 Jakub Bogusz <qboosh@pld-linux.org> df35c24
- updated to 47.0

* Sat May 18 2024 Jakub Bogusz <qboosh@pld-linux.org> af3a946
- updated to 46.0

* Sat Dec 02 2023 Jakub Bogusz <qboosh@pld-linux.org> 4b87668
- updated to 45.0

* Thu Jul 27 2023 Jakub Bogusz <qboosh@pld-linux.org> 141808d
- updated to 44.0

* Mon May 15 2023 Jakub Bogusz <qboosh@pld-linux.org> e544cc4
- updated to 43.0

* Sun Apr 17 2022 Jakub Bogusz <qboosh@pld-linux.org> 8810910
- updated to 42.0

* Tue Sep 28 2021 Jakub Bogusz <qboosh@pld-linux.org> 37e4fca
- updated to 41.0

* Thu Aug 19 2021 Jakub Bogusz <qboosh@pld-linux.org> 6fe0865
- updated to 40.1

* Sun Apr 04 2021 Jakub Bogusz <qboosh@pld-linux.org> 2efce6c
- updated to 40.0
- noarch (JS app)

* Fri May 01 2020 Jakub Bogusz <qboosh@pld-linux.org> 45eca3a
- updated to 3.36.1

* Mon Nov 18 2019 Jakub Bogusz <qboosh@pld-linux.org> 664a927
- updated to 3.34.0

* Tue Aug 06 2019 Jakub Bogusz <qboosh@pld-linux.org> 98dc4ec
- updated to 3.32.2

* Sun Jan 27 2019 Jaroslaw Kruk <kruk.jaroslaw@gmail.com> 892da20
- Updated to 3.26.0

* Fri Mar 24 2017 Marcin Banasiak <marcin.banasiak@gmail.com> d9f4e87
- Update to 3.24.0

* Sat Oct 24 2015 Jaroslaw Kruk <kruk.jaroslaw@gmail.com> 29d89a4
- fixed files permissions
- rel 2

* Mon Oct 12 2015 Marcin Banasiak <marcin.banasiak@gmail.com> 89cd511
- Update to 3.18.1

* Sun May 10 2015 Marcin Banasiak <marcin.banasiak@gmail.com> 73b30d6
- Update to 3.16.2.1

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> ba154ee
- updated gettext BR

* Sun Nov 02 2014 Marcin Banasiak <marcin.banasiak@gmail.com> 210bece
- Update to 3.14.1

